MultiTermRewriteMethodProcessor (Lucene 10.5.0 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.flexible.standard.processors, class: MultiTermRewriteMethodProcessor

Package org.apache.lucene.queryparser.flexible.standard.processors

# Class MultiTermRewriteMethodProcessor

java.lang.Object
org.apache.lucene.queryparser.flexible.core.processors.QueryNodeProcessorImpl
org.apache.lucene.queryparser.flexible.standard.processors.MultiTermRewriteMethodProcessor

All Implemented Interfaces:
  `QueryNodeProcessor`

public class MultiTermRewriteMethodProcessor extends QueryNodeProcessorImpl
This processor instates the default `MultiTermQuery.RewriteMethod`, `MultiTermQuery.CONSTANT_SCORE_BLENDED_REWRITE`, for multi-term query nodes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TAG_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiTermRewriteMethodProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected QueryNode`
  `postProcessNode(QueryNode node)`
  This method is invoked for every node when walking up the tree.
  `protected QueryNode`
  `preProcessNode(QueryNode node)`
  This method is invoked for every node when walking down the tree.
  `protected List<QueryNode>`
  `setChildrenOrder(List<QueryNode> children)`
  This method is invoked for every node that has at least on child.

  ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.processors.QueryNodeProcessorImpl

  `getQueryConfigHandler, process, processChildren, setQueryConfigHandler`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_ID

    public static final String TAG_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MultiTermRewriteMethodProcessor

    public MultiTermRewriteMethodProcessor()

- ## Method Details

  - ### postProcessNode

    protected QueryNode postProcessNode(QueryNode node)
    Description copied from class: `QueryNodeProcessorImpl`
    This method is invoked for every node when walking up the tree.
    Specified by:
      `postProcessNode` in class `QueryNodeProcessorImpl`
    Parameters:
      `node` - node the query node to be post-processed
    Returns:
      a query node

  - ### preProcessNode

    protected QueryNode preProcessNode(QueryNode node)
    Description copied from class: `QueryNodeProcessorImpl`
    This method is invoked for every node when walking down the tree.
    Specified by:
      `preProcessNode` in class `QueryNodeProcessorImpl`
    Parameters:
      `node` - the query node to be pre-processed
    Returns:
      a query node

  - ### setChildrenOrder

    protected List<QueryNode> setChildrenOrder(List<QueryNode> children)
    Description copied from class: `QueryNodeProcessorImpl`
    This method is invoked for every node that has at least on child. It's invoked right before `QueryNodeProcessorImpl.postProcessNode(QueryNode)` is invoked.
    Specified by:
      `setChildrenOrder` in class `QueryNodeProcessorImpl`
    Parameters:
      `children` - the list containing all current node's children
    Returns:
      a new list containing all children that should be set to the current node